// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FByteProperty.h"
#include "SourcifyCoreUEWrapperModule.h"
#include "UObject/UnrealType.h"

using namespace Sourcify;

SCW_FByteProperty::SCW_FByteProperty(FByteProperty* InByteProperty) : SCW_FNumericProperty(InByteProperty), ByteProperty(InByteProperty)
{

}

ISCW_UEnumPtr SCW_FByteProperty::GetEnum() const
{
	return ByteProperty->Enum ? FSourcifyCoreUEWrapper::Get().Wrap(*ByteProperty->Enum.Get()) : nullptr;
}

FByteProperty* SCW_FByteProperty::ToFByteProperty() const
{
	return ByteProperty;
}
